<?php 
echo "<div class='block'>";
if($ku['chat_off']>0)
{
echo "Доступ закрыт Администрацией. Возможно вы нарушили правила, если вы считаете что не виноваты или хотите оспорить наказание пишите в Тех. поддержку.";
} else {
if(isset($_GET['yes'])){
echo 'Вы успешно обменяли свои посты.<br/><a href="?obmen_post"><< Назад</a>';
include_once 'inc/foot.php';
}
$post=$_POST['name'];
if($ku['chatpost']>=$post && $post!=1){
if(isset($_GET['save'])){
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$post/2)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `chatpost` = '".($ku['chatpost']-$post)."' WHERE `id` = '$ku[id]'");
header("Location:?obmen_post&yes");
}
} else {
if($post==1){
echo "Нельзя обменять 1 пост.<br><a href='?obmen_post'><<Назад</a>";
} else {
echo "У вас нет столько постов. Набрать посты можно в чате.<br><a href='?obmen_post'><<Назад</a>";
}
include_once 'inc/foot.php';
}
echo '<form action="?obmen_post&save" method="post">';
echo 'Здравствуйте!<br><br>Курс валюты: 1 бакс = 2 поста.<br><br>Сколько постов желаете обменять на баксы? У вас '.($ku['chatpost']==NULL || $ku['chatpost']==0?'нету':''.$ku['chatpost'].'').' постов.<br/>';
if($ku['chatpost']==NULL || $ku['chatpost']<2)
{
echo "Приходите когда у вас будет хотяб 2 поста. Набрать посты можно в чате.";
} else {
echo "<input name=\"name\" type=\"text\" value=\"$ku[chatpost]\"/><br/>";
echo '<input type="submit" value="Обменять"/>';
}
echo '</form>';
}

include_once 'inc/foot.php';
?>